Subject: bug#76674: Install tests for rst-mode.el in emacs.git

From: Stefan Merten <[email-masked]>
Date: Mon, 17 Mar 2025 22:12:42 +0100

Hi Stefan!

2 weeks (15 days) ago Stefan Kangas wrote:
> I see that you have many tests for rst-mode.el here:
> https://sourceforge.net/p/docutils/code/HEAD/tree/trunk/docutils/tools/editors/emacs/tests/
> 
> However, we currently have no tests for rst-mode.el running in
> emacs.git.  I think it would be good to create a new file
> rst-mode-tests.el and to put all or some of your tests there.

When I started those tests many years ago I looked for a place to put
them in the Emacs repository. Then I did not found any place for it.

These tests are based on ert and include some extensions for ert which
IMHO are useful on their own. I'd love to share this but still have no
idea where to put them.

Any idea? A single file makes no sense since it is really a big suite.

						Grüße

						Stefan